jQuery 基金会刚刚发布了该 JavaScript 框架的 3.0 版本,并且首次抛弃了对老旧的 IE 浏览器的支持。jQuery 3.0 的工作始于 2014 年 10 月,其最初目标是在 2.0 版本之上进行完善,并和遥远的 1.0 版代码说再见——因为要兼容 IE 的缘故,其已经臃肿不堪。jQuery 2.0 已经与 1.0 版本完全不兼容,而 3.0 也将继续这一路线。

如果你非要抱着 IE 6/7/8 不放,那就钉在 jQuery 1.0 吧。

jQuery 基金会表示,3.0 版本的突破性变化很小,用户应该可以轻松地将代码移植过来(通过 jQuery Migrate),用户无需在他们的项目中增添对老旧的 IE 浏览器的支持。

其它 JavaScript 新闻

Onux 推出了酷炫的 JS++项目、Firefox 在 Nightly Build 中添加了开发者工具控制台(方便搞定 JavaScript 方面的错误)。

Node.js 基金会在今年 4 月份进行了一次调查,Node.js 现已拥有大约 350 万的年度用户,增长率 100%。

Google JavaScript 大师 Seth Thompson 在I/O 2016 上谈论了 V8、WebAssembly、Chrome DevTools、以及 JavaScript 的未来。

之后,Google 还发布了用于创建大型而不寻常的交互显示的 anypixel.js 库。最后,CloudFlare开源了他们的 UI 框架。

13 收藏


直接登录
最新评论

推荐关注